#ifndef XL_EVENT
#define XL_EVENT
/*
 * Event processing
 *
 * Multiplexed Network Client/Server Core Engine
 *
 * Copyright 1996-2002 netFluid Technology Ltd
 *
 * Goldwater is written and maintained by netFluid Technology Ltd.
 * http://www.nfluid.co.uk
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 * -----------------------------------------------------------------------
 * $Id: gwnevent.h,v 1.2 2003/03/29 12:21:11 csmith Exp $  $Date: 2003/03/29 12:21:11 $
 * -----------------------------------------------------------------------
 */
/* Internal events */
#define EV_NEW_SESSION  1
#define EV_WRDONE       2
#define EV_END_SESSION  4
#define EV_TIME         8

#define EV_READ_PENDING 32768 /* Used for outgoing connection handling */
#define EV_USER_EVENT   65536 

/* User Events */
#define EV_USER_BASE   256 /* All events must be offset from this value */

typedef unsigned long Event;

typedef struct {
  Event event;
  int   user_data;
  int   fd;
  int   time;
} EventMsg;

#endif
