#ifndef GWP_API_H
#define GWP_API_H
/*
 * GWPortal API
 *
 * Copyright 1996-2002 netFluid Technology Ltd
 *
 * Goldwater is written and maintained by netFluid Technology Ltd.
 * http://www.nfluid.co.uk
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 * $Revision: 1.2 $
 *
 * $Header: /cvsroot/goldwater/goldwater/gwlib/gwportal.h,v 1.2 2003/03/29 12:21:11 csmith Exp $
 *
 * ----------------------------------------------------------------------------
 * $Log: gwportal.h,v $
 * Revision 1.2  2003/03/29 12:21:11  csmith
 * cvs merge to 0.3.4
 *
 * Revision 1.4  2002/06/10 17:34:47  chris
 * All phlib includes have phlib/ prefix and gwlib includes have nothing.
 *
 * Revision 1.3  2002/05/12 14:03:13  chris
 * GPL licence headers etc
 *
 * Revision 1.2  2001/12/26 22:57:43  chris
 * Changed all references to Imagepage Computing to netFluid Technology.
 *
 * Revision 1.1  2001/03/19 16:06:23  chris
 * Initial revision
 *
 * ----------------------------------------------------------------------------
 */

#include <gwreq.h>

extern int gwerror;

int   gwp_portal_connect   ( const char *host, int port );
void  gwp_portal_disconnect();

int   gwp_send_to_portal   ( const GWMsgCtrl *, const char *, long );

int   gwp_setup_header     ( const GWMsgCtrl *ctrl, char *buf, long len );
long  gwp_process_reply_header ( GWMsgCtrl *ctrl, const char *buf, long len );

char *gwp_get_reply_from_portal( GWMsgCtrl *ctrl );


#endif















