#ifndef GW_REG_CONFIG_H
#define GW_REG_CONFIG_H
/*
 * Config (Registry) Acess API
 *
 * Copyright 1996-2002 netFluid Technology Ltd
 *
 * Goldwater is written and maintained by netFluid Technology Ltd.
 * http://www.nfluid.co.uk
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 * $Revision: 1.2 $
 *
 * $Header: /cvsroot/goldwater/goldwater/gwlib/gwreadconf.h,v 1.2 2003/03/29 12:21:11 csmith Exp $
 *
 * ----------------------------------------------------------------------------
 * $Log: gwreadconf.h,v $
 * Revision 1.2  2003/03/29 12:21:11  csmith
 * cvs merge to 0.3.4
 *
 * Revision 1.4  2003/01/04 13:24:40  chris
 * Moved __gw_find_domain_idx_in_config from gwdomain to gwreadconf
 * as it is used in quite a few places outside libgwdom
 *
 * Revision 1.3  2002/06/10 17:34:47  chris
 * All phlib includes have phlib/ prefix and gwlib includes have nothing.
 *
 * Revision 1.2  2002/05/12 14:03:13  chris
 * GPL licence headers etc
 *
 * Revision 1.1  2002/02/17 23:13:32  chris
 * Read config.
 *
 * Revision 1.1  2002/01/29 22:44:00  chris
 * New files for accessing binary goldwater config files.
 *
 *
 * ----------------------------------------------------------------------------
 */

#include <phlib/xl_types.h>

typedef enum { T_BRANCH = 0, T_LEAF } Ttype;

typedef struct {
  Ttype ttype;    /* Type of node                */
  long  stree_o;  /* Offset to subtree if a brnch*/
  long  name_o;   /* Offest to Name of node      */
  long  namelen;  /* Length of node name         */
  long  data_o;   /* Offset to data (if a leaf)  */
  long  dlen;     /* Length of data              */ 
} FlatTreeNode;


int  gw_config_init  ( );
void gw_config_deinit( );
int  gw_config_read_char( const char *path, char **data, long *len );
int  gw_config_read_long( const char *path, long *data );

int  __gw_find_domain_idx_in_config( const char * );

#endif
