/*
 * Goldwater Distributed Web Architecture.
 *
 * Service Adv Handing
 *
 * Copyright 1996-2002 netFluid Technology Ltd
 *
 * Goldwater is written and maintained by netFluid Technology Ltd.
 * http://www.nfluid.co.uk
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 * $Revision: 1.2 $  $Date: 2003/03/29 12:21:11 $
 * 
 * --------------------------------------------------------------------------
 * $Log: gwservice.h,v $
 * Revision 1.2  2003/03/29 12:21:11  csmith
 * cvs merge to 0.3.4
 *
 * Revision 1.4  2002/06/10 17:34:47  chris
 * All phlib includes have phlib/ prefix and gwlib includes have nothing.
 *
 * Revision 1.3  2002/05/26 18:15:15  chris
 * Added ServiceFlags to __gw_add_service
 *
 * Revision 1.2  2002/05/26 15:41:10  chris
 * Added inline function
 *
 * Revision 1.1  2002/05/14 20:21:46  chris
 * Added gwservice.[ch] - service add/removal functions.
 *
 * --------------------------------------------------------------------------
 */
#ifndef _GW_SERVICE_H
#define _GW_SERVICE_H

#include <phlib/xl_types.h>
#include <phlib/xl_string.h>
#include <phlib/xl_memlst.h>

#include <goldreq.h>

/* ------------------------------------------------------------------------- */

int       gw_add_service  ( const char *service, const char *function );

int       __gw_find_service_entry( long, long, long, SHMLIST * );
RetValue  __gw_remove_services ( long, long, long, SHMLIST * );
RetValue  __gw_add_service( long, long, long, long, SHMLIST *, const char *, const char *, long *, ServiceFlags );

__inline__ int __gw_add_service_dom( const char *, const char *, int );

/* ------------------------------------------------------------------------- */
/* end */

#endif
