/*
 * Goldwater Distributed Web Architecture.
 *
 * User Process Control
 *
 * Copyright 1996-2002 netFluid Technology Ltd
 *
 * Goldwater is written and maintained by netFluid Technology Ltd.
 * http://www.nfluid.co.uk
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 * $Revision: 1.2 $  $Date: 2003/03/29 12:21:11 $
 * --------------------------------------------------------------------------
 */
#ifndef GW_USERS_H
#define GW_USERS_H

#include <gwconfig.h>
#include <sys/types.h>
#include <unistd.h>

int  __gw_lookup_ugid          ( const char *uname, const char *group, 
                                 uid_t *uid, gid_t *gid );
void __gw_get_my_ugid          ( uid_t *uid, gid_t *gid );
int  __gw_become_effective_user( uid_t uid, gid_t gid );
int  __gw_become_user          ( uid_t uid, gid_t gid );
int  __gw_get_user_from_config ( int domlev, char *u, int l );
int  __gw_get_group_from_config( int domlev, char *g, int l );
int  __gw_become_real_user     ( uid_t *wu, gid_t *wg );

/* ------------------------------------------------------------------------- */
#endif
