#ifndef XLAPI_H
#define XLAPI_H
/*
 * Event and Write buffer processing.
 *
 * Multiplexed Network Client/Server Core Engine
 *
 * Copyright 1996-2002 netFluid Technology Ltd
 *
 * Goldwater is written and maintained by netFluid Technology Ltd.
 * http://www.nfluid.co.uk
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 * -----------------------------------------------------------------------
 * $Id: gwxlapi.h,v 1.2 2003/03/29 12:21:11 csmith Exp $  $Date: 2003/03/29 12:21:11 $
 * -----------------------------------------------------------------------
 */

#include <phlib/xl_types.h>
#include <phlib/xl_string.h>
#include "gwnevent.h"

typedef int32 CTime; /* CoreWide Time in seconds */

/*
 * Handle type for connection/service register api's */
typedef int32 ServiceID;

extern CTime currenttime; /* Time in seconds */

/* prototypes */
int  xlapi_register_event       ( Event, int );
int  xlapi_remove_event         ( Event, int, int );
int  xlapi_register_target_event( Event, int, int );
int  xlapi_register_time_event  ( Event, int32 );
int  xlapi_write                ( CString * );
int  xlapi_write_data           ( uchar *, int );
int  xlapi_write_done           ( );
int  xlapi_writes_pending       ( );
int  xlapi_total_writes_pending ( );
int  xlapi_register_connection  ( int, void *, ServiceID );
int  xlapi_events_pending       ( );

int xlapi_get_session_id();
int xlapi_become_session_id( int );

void * xlapi_get_private_workspace( );
const char * xlapi_get_service_id       ( int );

ServiceID xlapi_get_serviceID     ( const char * );
#endif
